Create a payment link for an invoice.

Generate a secure link to pay a specific invoice. The link can then be shared with the customer to complete the payment via an external payment service, such as Stripe or Swish.

Billing & Payments Payments

Context

Used in the dashboard

/billing/pay/[uuid]

Path Parameters

uuid string required Example: b8110b85-728a-44c5-b49c-4208ac407d3d

UUID for uuid

Headers

Accept Example
Content-Type Example

Body

required
application/json
paymentMethod string required · Example: stripe

Responses

200
data object required
data.paymentMethod string required · Example: stripe
data.sessionId string required · Example: cs_live_EXAMPLE_SESSION
data.stripeSessionUrl string required · Example: https://example.com/c/pay/cs_live_EXAMPLE_SESSION
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

POST https://cloud.hostup.se/api/billing/payment-link/{uuid}/pay
For AI assistants
cURL
curl -X POST "https://cloud.hostup.se/api/billing/payment-link/b8110b85-728a-44c5-b49c-4208ac407d3d/pay" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "paymentMethod": "stripe"
  }'
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "stripeSessionUrl": "https://example.com/c/pay/cs_live_EXAMPLE_SESSION",
    "sessionId": "cs_live_EXAMPLE_SESSION",
    "paymentMethod": "stripe"
  }
}
Request Body Example 1
{
  "paymentMethod": "stripe"
}